## translate-toolkit 1.13.0

=== Makefile ===
DOCS_DIR = docs
FORMATS=--formats=bztar

.PHONY: all build docs requirements help publish-pypi sort-imports

all: help

build: docs
	python setup.py sdist ${FORMATS}

docs:
	# Make sure that the submodule with docs theme is pulled and up-to-date.
	git submodule update --init
	# The following creates the HTML docs.
	# NOTE: cd and make must be in the same line.
	cd ${DOCS_DIR}; make SPHINXOPTS="-W -q" html ${TAIL}

docs-review: docs
	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

publish-pypi:
	python setup.py sdist ${FORMATS} upload

sort-imports:
	isort -rc .

help:
	@echo "Help"
	@echo "----"
	@echo
	@echo "  build - create sdist with required prep"
	@echo "  docs - build Sphinx docs"
	@echo "  docs-review - launch webbrowser to review docs"
	@echo "  requirements - (re)generate pinned and minimum requirements"
	@echo "  sort-imports - sort Python imports"
	@echo "  publish-pypi - publish on PyPI"
	@echo "  test - run unit test suite"
	@echo "  test-functional - run the functional test suite"

# Perform forced build using -W for the (.PHONY) requirements target
requirements:
	$(MAKE) -W $(REQFILE) requirements/min-versions.txt requirements.txt

REQS=.reqs
REQFILE=requirements/recommended.txt

requirements.txt: $(REQFILE)
	@set -e;							\
	 case `pip --version` in					\
	   "pip 0"*|"pip 1.[012]"*)					\
	     virtualenv --no-site-packages --clear $(REQS);		\
	     source $(REQS)/bin/activate;				\
	     echo starting clean install of requirements from PyPI;	\
	     pip install --use-mirrors -r $(REQFILE);			\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     pip freeze | grep -v '^wsgiref==' | sort > $@ ;;		\
	   *)								\
	     : only pip 1.3.1+ processes --download recursively;	\
	     rm -rf $(REQS); mkdir $(REQS);				\
	     echo starting download of requirements from PyPI;		\
	     pip install --download $(REQS) -r $(REQFILE);		\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     (cd $(REQS) && ls *.tar* |					\
	      sed -e 's/-\([0-9]\)/==\1/' -e 's/\.tar.*$$//') > $@;	\
	 esac; 

requirements/min-versions.txt: requirements/*.txt
	@if grep -q '>[0-9]' $^; then				\
	   echo "Use '>=' not '>' for requirements"; exit 1;	\
	 fi
	@echo "creating $@"
	@echo "# Automatically generated: DO NOT EDIT" > $@
	@echo "# Regenerate using 'make requirements'" >> $@
	@echo "# ====================================" >> $@
	@echo "# Minimum Requirements" >> $@
	@echo "# ====================================" >> $@
	@echo "#" >> $@
	@echo "# These are the minimum versions of dependencies that the developers" >> $@
	@echo "# claim will work." >> $@
	@echo "#" >> $@
	@echo "# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" >> $@
	@echo "#" >> $@
	@echo >> $@
	@cat $^ | sed -n '/=/{s/>=/==/;s/,<.*//;s/,!=.*//;p;};/^[-#]/d;/^$$/d;/=/d;p;' >> $@

test:
	@py.test --boxed -r EfsxX

test-functional:
	@tests/cli/run_tests.sh

=== requirements.txt ===
distribute==0.6.45
lxml==3.2.1
python-Levenshtein==0.10.2

## translate-toolkit 1.9.0

=== debian/changelog ===
translate-toolkit (1.9.0-3) unstable; urgency=low

  * Fix long description of translate-toolkit-dev-doc. Grazie to
    Beatrice Torraca. Closes: #674646
  * Fix UnicodeEncodeError on UTF-8 encoded translator comments by
    using a patch applied in upstream's SVN.
    Closes: #658621
  * No longer Build-Depend on quilt as the package is v3.
  *  Bump debhelper compatibility level to 9.
  * Bump Standards to 3.9.3 (checked)
  * No longer handle new manpages in a patch

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 May 2012 06:12:15 +0200

translate-toolkit (1.9.0-2) unstable; urgency=low

  * Add build-arch and build-stamp targets to debian/rules
  * Bump Standards to 3.9.2 (checked)
  * Move python dependency to Build-Depends
  * Bump debhelper compatibility to 8
  * Replace "dh_cliean -k" by dh_prep

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 21:25:57 +0100

translate-toolkit (1.9.0-1) unstable; urgency=low

  * New upstream release
  * Set maintainer as Debian l10n developers, add myself to Uploaders
    and remove Matthias Klose who is no longer involved in this package,
    AFAICT.
  * Drop examples as lookupclient.py is no longer provided.
  * Drop dh_pycentral in favor of dh_python2. Closes: #617132
  * Recommend python-aeidon instead of gaupol. Closes: #569983
  * Bump Standard to 3.9.1 (checked)
  * Drop dh_link call
  * Move to source v3  

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Apr 2011 10:06:54 +0200

translate-toolkit (1.7.0-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's approval
  * New upstream release. Closes: #589298

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Jul 2010 12:48:10 +0200

translate-toolkit (1.5.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: gaupol and python-iniparse are no more needed as build
    dependencies
  * debian/control: Standards-Version bumped to 3.8.4. No changes.
  * debian/control: Remove build dependency on python-all-dev.
  * debian/control: Add dependency on ${misc:Depends}.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 01 Feb 2010 23:33:18 +0100

translate-toolkit (1.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/cleanup_install: Do not distribute html2po and po2html.
    They are not suitable for a release. po4a or xml2po give better results
    with HTML files. Closes: #545349, #545350, #545351, #545352, #545353,
    #545355, #545360, #545361, #531474

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 11 Jan 2010 21:08:18 +0100

translate-toolkit (1.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Recommends python-iniparse
  * debian/patches/cleanup_install: ini2po and po2ini are now distributed.
  * debian/control: python-iniparse is needed at build time to generate the
    po2ini and ini2po manpages.
  * debian/control: XS-Python-Version updated to >=2.5 (python2.5 was already
    required by the dependencies)

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 04 Dec 2009 22:58:23 +0100

translate-toolkit (1.5.0-1) UNRELEASED; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 21 Nov 2009 15:40:01 +0100

translate-toolkit (1.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/spellchecker_check_something: Detection of spellcher did
    not work.
  * debian/control: Standards-Version bumped to 3.8.3. No changes.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 08 Nov 2009 23:16:04 +0100

translate-toolkit (1.4.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python* (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:32:57 -0500

translate-toolkit (1.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied Kumar's patch and uploaded, thanks dude! (Closes: #547863)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 14:31:11 +0200

translate-toolkit (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 10 Aug 2009 19:29:08 +0200

translate-toolkit (1.4.0~rc2-1) experimental; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 02 Aug 2009 23:28:48 +0200

translate-toolkit (1.4.0~rc1-1) experimental; urgency=low

  * New upstream release
    + debian/patches/test_optrecurse-typo: Removed (applied upstream).
    + debian/patches/message_end_with_escaped_backslash: Removed (applied
    upstream).
    + debian/patches/deepcopy_bug870: Removed (applied upstream).
    + debian/patches/cleanup_install: Updated
  * debian/control: Added build dependency and recommendation for gaupol
    (needed for sub2po and po2sub).
  * debian/patches/debian_gaupol_library_path: Added to fic the path ofthe
    gaupol library.
  * debian/patches/poterminology_defaultstopfile: Fix the generation of the
    poterminology manpage.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 24 Jul 2009 18:27:06 +0200

translate-toolkit (1.3.0-6) unstable; urgency=low

  * debian/patches/message_end_with_escaped_backslash: Fix failure caused by
    PO messages ending with an escaped backslash. Closes: #536045
  * debian/control: Standards-Version bumped to 3.8.2. No changes.
  * debian/patches/tools_manpages: Use regular brackets insteadof curly
    brackets (introduced by C&P).

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 22 Jul 2009 20:33:01 +0200

translate-toolkit (1.3.0-5) unstable; urgency=low

  * debian/rules: Install the lintian override file with dh_lintian
  * debian/control, debian/compat: dh_lintian requires debhelper 6.0.7
  * debian/patches/deepcopy_bug870: Added upstream patch to fix suggestions.


=== debian/control ===
Source: translate-toolkit
Section: python
Priority: optional
Uploaders: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>, Christian Perrier <bubulle@debian.org>
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Build-Depends-Indep: python-lxml, python-vobject, python-simplejson
Build-Depends: debhelper (>= 9~), python (>= 2.6.6-3~)
X-Python-Version: >=2.5
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/debian-l10n/translate-toolkit/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/debian-l10n/translate-toolkit/trunk
Homepage: http://translate.sourceforge.net/wiki/toolkit/index

Package: translate-toolkit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, gettext, python (>= 2.5) | python-pysqlite2
Recommends: python-lxml, python (>= 2.5) | python-elementtree, python-enchant, python-simplejson, python-utidylib, python-vobject, iso-codes, python-levenshtein, python-aeidon, python-iniparse
Suggests: translate-toolkit-dev-doc
Replaces: pootle (<< 0.8.2005.0217-2)
Description: Toolkit assisting in the localization of software
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 The documentation of the Translate Toolkit API is packaged in
 translate-toolkit-dev-doc.

Package: translate-toolkit-dev-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: translate-toolkit
Description: documentation of the translate-toolkit API
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 This package provides the documentation of the Translate Toolkit API, which
 is useful to develop applications using the APIs provided by
 the Translate Toolkit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

p	= translate-toolkit
d	= debian/$(p)
pv	= $(shell python -c 'import sys; print sys.version[:3]')

include /usr/share/python/python.mk

SITEDIR = $(call py_sitename, $(pv))

build: build-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	python setup.py build
	mkdir -p man
	for script in build/scripts-*/*; do \
	  case $$(basename $$script) in \
	  pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|tmserver) \
	    ;; \
	  *) \
	    LC_ALL=C PYTHONPATH=. ./$$script --manpage \
	      > man/$$(basename $$script).1 \
	      || rm -f man/$(basename $i).1; \
	    ;; \
	  esac; \
	done
	cp debian/msghack.1 man/msghack.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build
	rm -rf man
	rm -f MANIFEST.in
	-find -name '*.py[co]' | xargs rm -f
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs \
		usr/share/doc/$(p)
	python setup.py install --prefix=`pwd`/$(d)/usr $(py_setup_install_args)
	mv $(d)/usr/lib/python$(pv)/$(SITEDIR)/translate/doc \
		$(d)/usr/share/doc/$(p)/html
	rm -f $(d)/usr/lib/python$(pv)/$(SITEDIR)/translate/ChangeLog
	rm -f $(d)/usr/lib/python$(pv)/$(SITEDIR)/translate/COPYING
	rm -f $(d)/usr/lib/python$(pv)/$(SITEDIR)/translate/LICENSE
	rm -f $(d)/usr/lib/python$(pv)/$(SITEDIR)/translate/README
	mv $(d)/usr/share/doc/$(p)/html/api \
		$(d)-dev-doc/usr/share/doc/$(p)-dev-doc/html

	dh_lintian

	# Install msghack
	install -p -D -m644 debian/msghack.py \
	                    $(d)/usr/bin/msghack

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs translate/ChangeLog
	dh_installdocs translate/README
	dh_installexamples
	dh_installman man/*
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://sf.net/translate/translate-toolkit-(.*).tar.(?:gz|bz2)

## translate-toolkit 1.10.0

=== debian/changelog ===
translate-toolkit (1.10.0-2) unstable; urgency=low

  * Remove build and runtime dependencies on obsolete package python-aeidon
    (Closes: #714063)

 -- Stuart Prescott <stuart@debian.org>  Sat, 12 Oct 2013 00:30:10 +1100

translate-toolkit (1.10.0-1) unstable; urgency=low

  * New upstream version (Closes: #585834, #703170).
  * Drop translate-toolkit-dev-doc package, instead putting the API docs in
    the translate-toolkit package.
  * Bump Standards-Version to 3.9.4 (no changes required).
  * Fix spelling errors in man pages (thanks, lintian!).
  * Improve man page generation code.
  * Add lintian override for including the licence of the documentation in
    the documentation directory.
  * Update debian/rules to dh short form.
  * Update debian/copyright.
  * Update msghack to new version from Fedora.
  * Depend on libexttextcat-data to obtain the langmodels
    (Closes: #703942, #703943).
  * Fix encoding of filenames in zipfiles (Closes: #643008).

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Apr 2013 12:32:21 +1000

=== debian/control ===
Source: translate-toolkit
Section: python
Priority: optional
Uploaders:
 Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>,
 Christian Perrier <bubulle@debian.org>,
 Stuart Prescott <stuart@debian.org>
Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
Build-Depends-Indep:
 python (>= 2.6.6-3~),
 python-iniparse,
 python-lucene,
 python-lxml,
 python-simplejson,
 python-vobject
Build-Depends:
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1~),
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-l10n/translate-toolkit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-l10n/translate-toolkit.git
Homepage: http://toolkit.translatehouse.org/

Package: translate-toolkit
Architecture: all
Depends:
 gettext,
 libexttextcat-data,
 python,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Recommends:
 iso-codes,
 python-beautifulsoup,
 python-chardet,
 python-enchant,
 python-iniparse,
 python-levenshtein,
 python-lxml,
 python-simplejson,
 python-utidylib,
 python-vobject,
 python-xapian
Description: Toolkit assisting in the localization of software
 The Translate Toolkit is a Python library and a set of software designed
 to help make the lives of localizers both more productive and less
 frustrating.
 .
 The software includes programs to convert localization formats to the
 common PO format and programs to check and manage PO files and
 utilities to create word counts, merge translations and perform
 various checks on PO files.
 .
 Supported localization storage formats are: DTD, properties,
 OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
 .
 This package includes documentation for the command line utilities and the
 Translate Toolkit API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

p	= translate-toolkit
d	= $(CURDIR)/debian/$(p)

%:
	dh $@ --with python2,sphinxdoc

man:
	mkdir -p man
	for script in build/scripts-*/*; do \
	  case $$(basename $$script) in \
	  build_tmdb|build_firefox*|junitmsgfmt|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|tmserver) \
	    ;; \
	  *) \
	    LC_ALL=C PYTHONPATH=. ./$$script --manpage \
	      > man/$$(basename $$script).1 \
	      || rm -f man/$(basename $$script).1; \
	    ;; \
	  esac; \
	done

docs:
	make -C docs html

override_dh_clean:
	dh_clean
	rm -rf man docs/_build docs/_themes/sphinx-bootstrap/static/jquery.js
	make -C docs clean

override_dh_install: man docs
	dh_install
	# relocate the "share" directory out of python module space
	mv $(d)/usr/lib/`pyversions -d`/*-packages/share/stoplist-en \
	  $(d)/usr/share/translate
	# delete unwanted cruft from /usr/lib
	for i in COPYING README.rst ../docs ../share; do \
	  rm -rfv $(d)/usr/lib/python2.*/*-packages/translate/$$i \
	      $(d)/usr/lib/pyshared/translate/$$i; \
	done
	prename 's/.sh//' $(d)/usr/bin/build_firefox.sh
	mkdir $(d)/usr/share/doc/$(p)/examples
	mv $(d)/usr/bin/po2sub $(d)/usr/bin/sub2po \
	  $(d)/usr/share/doc/$(p)/examples
	cp man/po2sub.1 man/sub2po.1 \
	  $(d)/usr/share/doc/$(p)/examples

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

.PHONY: man docs

=== debian/watch ===
version=2
http://sf.net/translate/translate-toolkit-(.*).tar.(?:gz|bz2)

## translate-toolkit 1.11.0+dfsg

=== debian/changelog ===
translate-toolkit (1.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - drop manpage-hyphen.patch and manpage-rst-note.patch incorporated
      upstream
    - drop zip-encoding.patch no longer required as sub-module is removed
    - repack source to remove sourceless sphinx theme
  * Bump standards version to 3.9.5 (no changes required).
  * Switch build system to pybuild.
  * Add additional build dependencies to allow test suite coverage.
  * Run test suite at build time.
  * Include autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Mon, 24 Feb 2014 00:55:24 +1100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,31 @@
  Stuart Prescott <stuart@debian.org>
 Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
 Build-Depends-Indep:
+ libexttextcat-data,
+ libgettextpo0,
  python (>= 2.6.6-3~),
+ python-beautifulsoup,
+ python-chardet,
+ python-enchant,
  python-iniparse,
- python-lucene,
+ python-levenshtein,
  python-lxml,
+ python-pytest,
  python-simplejson,
- python-vobject
+ python-sphinx (>= 1.0.7+dfsg),
+ python-subversion,
+ python-utidylib,
+ python-vobject,
+ python-xapian,
+ subversion
 Build-Depends:
  debhelper (>= 9~),
- dpkg-dev (>= 1.16.1~),
- python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.4
+ dh-python,
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/debian-l10n/translate-toolkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-l10n/translate-toolkit.git
 Homepage: http://toolkit.translatehouse.org/
+XS-Testsuite: autopkgtest
 
 Package: translate-toolkit
 Architecture: all
@@ -43,6 +54,8 @@
  python-utidylib,
  python-vobject,
  python-xapian
+Suggests:
+  python-subversion
 Description: Toolkit assisting in the localization of software
  The Translate Toolkit is a Python library and a set of software designed
  to help make the lives of localizers both more productive and less

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,16 @@
 p	= translate-toolkit
 d	= $(CURDIR)/debian/$(p)
 
+export PYTHONNOUSERSITE=false
+
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,sphinxdoc --buildsystem pybuild
 
 man:
 	mkdir -p man
 	for script in build/scripts-*/*; do \
 	  case $$(basename $$script) in \
-	  build_tmdb|build_firefox*|junitmsgfmt|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|tmserver) \
+	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|tmserver) \
 	    ;; \
 	  *) \
 	    LC_ALL=C PYTHONPATH=. ./$$script --manpage \
@@ -45,6 +47,7 @@
 	      $(d)/usr/lib/pyshared/translate/$$i; \
 	done
 	prename 's/.sh//' $(d)/usr/bin/build_firefox.sh
+	prename 's/.py//' $(d)/usr/bin/*.py
 	mkdir $(d)/usr/share/doc/$(p)/examples
 	mv $(d)/usr/bin/po2sub $(d)/usr/bin/sub2po \
 	  $(d)/usr/share/doc/$(p)/examples
@@ -54,4 +57,11 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst
 
+override_dh_auto_test:
+	# run the test suite using py.test
+	PYBUILD_SYSTEM=custom \
+	  PYBUILD_TEST_ARGS='PATH={build_dir}:$$PATH py.test -rxs' \
+	  dh_auto_test --buildsystem=pybuild
+
+
 .PHONY: man docs

=== debian/tests/control ===
Tests: translate-toolkit
Depends: python-pytest,
  translate-toolkit,
  libexttextcat-data,
  libgettextpo0,
  python-beautifulsoup,
  python-chardet,
  python-enchant,
  python-iniparse,
  python-levenshtein,
  python-lxml,
  python-pytest,
  python-simplejson,
  python-subversion,
  python-utidylib,
  python-vobject,
  python-xapian,
  subversion

## translate-toolkit 1.12.0+dfsg1

=== debian/changelog ===
translate-toolkit (1.12.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Aug 2014 19:38:55 +1000

translate-toolkit (1.12.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - drops translate.misc.xmlwrapper (Closes: #644256).
    - drops embedded copies of modules: textwrap, contextlib (Closes: #555422).
  * Refresh patches for new upstream release.
    - drop po2web2py_missing_import.patch that was incorporated upstream.

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Aug 2014 00:30:54 +1000

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,18 @@
  libexttextcat-data,
  libgettextpo0,
  python (>= 2.6.6-3~),
- python-beautifulsoup,
+ python-babel,
+ python-bs4,
  python-chardet,
+ python-diff-match-patch,
  python-enchant,
  python-iniparse,
  python-levenshtein,
  python-lxml,
  python-pytest,
  python-simplejson,
+ python-six,
+ python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python-subversion,
  python-utidylib,
@@ -39,13 +43,16 @@
  gettext,
  libexttextcat-data,
  python,
+ python-six,
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends}
 Recommends:
  iso-codes,
- python-beautifulsoup,
+ python-babel,
+ python-bs4,
  python-chardet,
+ python-diff-match-patch,
  python-enchant,
  python-iniparse,
  python-levenshtein,
@@ -56,6 +63,8 @@
  python-xapian
 Suggests:
   python-subversion
+Breaks:
+  python-babel (<< 1.3)
 Description: Toolkit assisting in the localization of software
  The Translate Toolkit is a Python library and a set of software designed
  to help make the lives of localizers both more productive and less

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_.+-]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//" \
  http://sf.net/translate/translate-toolkit-(.*).tar.(?:gz|bz2)

## translate-toolkit 1.13.0

=== debian/changelog ===
translate-toolkit (1.13.0-1) unstable; urgency=medium

  * New upstream version (Closes: #794632).
  * Add local copy of xml.xsd to prevent network access when running tests.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Sep 2015 00:46:09 +1000

=== debian/control ===
--- 
+++ 
@@ -31,11 +31,10 @@
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-l10n/translate-toolkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-l10n/translate-toolkit.git
 Homepage: http://toolkit.translatehouse.org/
-XS-Testsuite: autopkgtest
 
 Package: translate-toolkit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,10 @@
 override_dh_install: man docs
 	dh_install
 	# relocate the "share" directory out of python module space
-	mv $(d)/usr/lib/`pyversions -d`/*-packages/share/stoplist-en \
+	mv $(d)/usr/lib/`pyversions -d`/*-packages/translate/share/stoplist-en \
 	  $(d)/usr/share/translate
 	# delete unwanted cruft from /usr/lib
-	for i in COPYING README.rst ../docs ../share; do \
+	for i in COPYING README.rst docs share; do \
 	  rm -rfv $(d)/usr/lib/python2.*/*-packages/translate/$$i \
 	      $(d)/usr/lib/pyshared/translate/$$i; \
 	done

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
   translate-toolkit,
   libexttextcat-data,
   libgettextpo0,
-  python-beautifulsoup,
+  python-babel,
+  python-bs4,
   python-chardet,
   python-enchant,
   python-iniparse,

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_.+-]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg1,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/translate-toolkit-$1\.tar\.gz/" \
  https://github.com/translate/translate/tags .*/v?(\d\S*)\.tar\.gz

## translate-toolkit 2.0.0~b2

=== debian/changelog ===
translate-toolkit (2.0.0~b2-1+0~20170422115118.7+jessie~1.gbped8b4b) experimental; urgency=medium

  ** SNAPSHOT build @ed8b4b3308d8847c2361b031e090dec6c9cdb615 **

  * UNRELEASED

 -- jenkins-debian-glue Autobuilder <jenkins@debbuild.disconnected-by-peer.at>  Sat, 22 Apr 2017 13:51:20 +0200

translate-toolkit (2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Add missing Breaks/Replaces for translate-toolkit-doc (Closes: #826687).

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jun 2016 01:00:39 +1000

translate-toolkit (2.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
    - Updates Turkish plural forms (Closes: #760977)
  * Split out separate Python 2 and Python 3 module packages
    - translate-toolkit contains only the command line tools now, depending on
      the Python 2 modules.
  * Split out separate documentation package.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Update DEP-8 tests for new packaging.
  * Update Vcs URLs to https versions.

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 Jun 2016 17:36:04 +1000

=== debian/control ===
--- 
+++ 
@@ -19,24 +19,65 @@
  python-levenshtein,
  python-lxml,
  python-pytest,
+ python-setuptools,
  python-simplejson,
- python-six,
- python-setuptools,
+ python-six (>> 1.9.0),
  python-sphinx (>= 1.0.7+dfsg),
  python-subversion,
- python-utidylib,
  python-vobject,
  python-xapian,
- subversion
+ python3-all,
+ python3-aeidon,
+ python3-babel,
+ python3-bs4,
+ python3-chardet,
+ python3-diff-match-patch,
+ python3-enchant,
+ python3-iniparse,
+ python3-levenshtein,
+ python3-lxml,
+ python3-pytest,
+ python3-setuptools,
+ python3-simplejson,
+ python3-six (>> 1.9.0),
+ python3-sphinx (>= 1.0.7+dfsg),
+ python3-vobject,
+ subversion,
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-l10n/translate-toolkit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-l10n/translate-toolkit.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/cgit/debian-l10n/translate-toolkit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-l10n/translate-toolkit.git
 Homepage: http://toolkit.translatehouse.org/
 
 Package: translate-toolkit
+Architecture: all
+Section: devel
+Depends:
+ python,
+ python-six,
+ python-translate,
+ ${misc:Depends},
+ ${python:Depends}
+Recommends:
+ translate-toolkit-doc
+Description: Toolkit assisting in the localization of software
+ The Translate Toolkit is a Python library and a set of software designed
+ to help make the lives of localizers both more productive and less
+ frustrating.
+ .
+ The software includes programs to convert localization formats to the
+ common PO format and programs to check and manage PO files and
+ utilities to create word counts, merge translations and perform
+ various checks on PO files.
+ .
+ Supported localization storage formats are: DTD, properties,
+ OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
+ .
+ This package includes documentation for the command line utilities.
+
+Package: python-translate
 Architecture: all
 Depends:
  gettext,
@@ -44,8 +85,7 @@
  python,
  python-six,
  ${misc:Depends},
- ${python:Depends},
- ${sphinxdoc:Depends}
+ ${python:Depends}
 Recommends:
  iso-codes,
  python-babel,
@@ -61,10 +101,13 @@
  python-vobject,
  python-xapian
 Suggests:
-  python-subversion
+ python-subversion,
+ translate-toolkit-doc
 Breaks:
-  python-babel (<< 1.3)
-Description: Toolkit assisting in the localization of software
+ translate-toolkit (<< 2.0.0~)
+Replaces:
+ translate-toolkit (<< 2.0.0~)
+Description: Toolkit assisting in the localization of software (Python 2)
  The Translate Toolkit is a Python library and a set of software designed
  to help make the lives of localizers both more productive and less
  frustrating.
@@ -77,5 +120,71 @@
  Supported localization storage formats are: DTD, properties,
  OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
  .
- This package includes documentation for the command line utilities and the
- Translate Toolkit API.
+ This package includes the Translate Toolkit modules for Python 2.
+
+Package: python3-translate
+Architecture: all
+Depends:
+ gettext,
+ libexttextcat-data,
+ python3,
+ python3-six,
+ ${misc:Depends},
+ ${python3:Depends}
+Recommends:
+ iso-codes,
+ python3-aeidon,
+ python3-babel,
+ python3-bs4,
+ python3-chardet,
+ python3-diff-match-patch,
+ python3-enchant,
+ python3-iniparse,
+ python3-levenshtein,
+ python3-lxml,
+ python3-simplejson,
+ python3-utidylib,
+ python3-vobject,
+ python3-xapian
+Suggests:
+ python3-subversion,
+ translate-toolkit-doc
+Description: Toolkit assisting in the localization of software (Python 3)
+ The Translate Toolkit is a Python library and a set of software designed
+ to help make the lives of localizers both more productive and less
+ frustrating.
+ .
+ The software includes programs to convert localization formats to the
+ common PO format and programs to check and manage PO files and
+ utilities to create word counts, merge translations and perform
+ various checks on PO files.
+ .
+ Supported localization storage formats are: DTD, properties,
+ OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
+ .
+ This package includes the Translate Toolkit modules for Python 3.
+
+Package: translate-toolkit-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
+Breaks:
+ translate-toolkit (<< 2.0.0~)
+Replaces:
+ translate-toolkit (<< 2.0.0~)
+Description: Toolkit assisting in the localization of software (documentation)
+ The Translate Toolkit is a Python library and a set of software designed
+ to help make the lives of localizers both more productive and less
+ frustrating.
+ .
+ The software includes programs to convert localization formats to the
+ common PO format and programs to check and manage PO files and
+ utilities to create word counts, merge translations and perform
+ various checks on PO files.
+ .
+ Supported localization storage formats are: DTD, properties,
+ OpenOffice.org GSI/SDF, CSV, MO, Qt .ts and of course PO and XLIFF.
+ .
+ This package includes the Translate Toolkit API documentation.

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: translate-toolkit
-Depends: python-pytest,
+Depends:
   translate-toolkit,
   libexttextcat-data,
   libgettextpo0,
@@ -16,5 +16,41 @@
   python-utidylib,
   python-vobject,
   python-xapian,
-  subversion
+  subversion,
 
+Tests: python-translate
+Depends:
+  python-translate,
+  libexttextcat-data,
+  libgettextpo0,
+  python-babel,
+  python-bs4,
+  python-chardet,
+  python-enchant,
+  python-iniparse,
+  python-levenshtein,
+  python-lxml,
+  python-pytest,
+  python-simplejson,
+  python-utidylib,
+  python-vobject,
+  python-xapian,
+  subversion,
+
+Tests: python3-translate
+Depends:
+  python3-translate,
+  libexttextcat-data,
+  libgettextpo0,
+  python3-aeidon,
+  python3-babel,
+  python3-bs4,
+  python3-chardet,
+  python3-enchant,
+  python3-iniparse,
+  python3-levenshtein,
+  python3-lxml,
+  python3-pytest,
+  python3-simplejson,
+  python3-vobject,
+  subversion,

## translate-toolkit 2.0.0~b7

=== debian/changelog ===
translate-toolkit (2.0.0~b7-2) unstable; urgency=medium

  * skip cpo tests for the time being since python segfaults.
  * Add rename to build-depends.

 -- Stuart Prescott <stuart@debian.org>  Sat, 05 Nov 2016 21:13:44 +1100

translate-toolkit (2.0.0~b7-1) unstable; urgency=medium

  * Upload to unstable since 2.0 is looking good for inclusion in Stretch.
  * New upstream release.
    - drop patches for Xapian now incorporated upstream.

 -- Stuart Prescott <stuart@debian.org>  Thu, 03 Nov 2016 23:38:30 +1100

translate-toolkit (2.0.0~b6-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 29 Oct 2016 13:42:40 +1100

translate-toolkit (2.0.0~b5-2) experimental; urgency=medium

  * Add python3-xapian to the dependencies now that it is available.
  * Add patches so that indexers and xapian module work under Python 3
    - xapian-no-apache-check.patch: skip check if module is being loaded from
      within mod_python. Thanks to Olly Betts for the suggestion.
    - xapian-query.patch: don't use unneeded and now non-existent copy
      constructor of xapian query objects. Thanks to Olly Betts for the hint.
      (Closes: #839306)
    - xapian-python3.patch: usual Python 2 to 3 jiggles with imports, lists and
      encodings.
  * Update autopkgtests to include newly added dependencies.

 -- Stuart Prescott <stuart@debian.org>  Sun, 23 Oct 2016 01:11:44 +1100

translate-toolkit (2.0.0~b5-1) experimental; urgency=medium

  * New upstream release.
  * Remove Nicolas François (Nekral) from the uploaders list; thanks for all
    the work on i18n/l10n packages! (Closes: #832386)
  * Add build-dependencies and also recommend python-l20n/python3-l20n for
    new L20n handling ability.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Sep 2016 14:34:02 +1000

translate-toolkit (2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Thu, 21 Jul 2016 18:47:13 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: python
 Priority: optional
 Uploaders:
- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>,
  Christian Perrier <bubulle@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
@@ -18,6 +17,7 @@
  python-iniparse,
  python-levenshtein,
  python-lxml,
+ python-l20n,
  python-pytest,
  python-setuptools,
  python-simplejson,
@@ -26,6 +26,7 @@
  python-subversion,
  python-vobject,
  python-xapian,
+ python-yaml,
  python3-all,
  python3-aeidon,
  python3-babel,
@@ -36,12 +37,16 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
+ python3-l20n,
  python3-pytest,
  python3-setuptools,
  python3-simplejson,
  python3-six (>> 1.9.0),
  python3-sphinx (>= 1.0.7+dfsg),
  python3-vobject,
+ python3-xapian,
+ python3-yaml,
+ rename,
  subversion,
 Build-Depends:
  debhelper (>= 9~),
@@ -96,10 +101,12 @@
  python-iniparse,
  python-levenshtein,
  python-lxml,
+ python-l20n,
  python-simplejson,
  python-utidylib,
  python-vobject,
- python-xapian
+ python-xapian,
+ python-yaml
 Suggests:
  python-subversion,
  translate-toolkit-doc
@@ -142,10 +149,12 @@
  python3-iniparse,
  python3-levenshtein,
  python3-lxml,
+ python3-l20n,
  python3-simplejson,
  python3-utidylib,
  python3-vobject,
- python3-xapian
+ python3-xapian,
+ python3-yaml
 Suggests:
  python3-subversion,
  translate-toolkit-doc

## translate-toolkit 2.0.0~rc1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	git submodule update --init
 	# The following creates the HTML docs.
 	# NOTE: cd and make must be in the same line.
-	cd ${DOCS_DIR}; make SPHINXOPTS="-W -q" html ${TAIL}
+	cd ${DOCS_DIR}; make SPHINXOPTS="-T -W -q -j 4" html ${TAIL}
 
 docs-review: docs
 	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

=== debian/changelog ===
translate-toolkit (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on python-pkg-resources for the entry-points.
  * Cherry-pick upstream reversion of the removal of selector.py.

 -- Stuart Prescott <stuart@debian.org>  Wed, 11 Jan 2017 00:22:17 +1100

## translate-toolkit 2.0.0~rc3

=== debian/changelog ===
translate-toolkit (2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * Drop patches no-longer needed with this release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 25 Jan 2017 13:31:22 +1100

## translate-toolkit 2.0.0

=== debian/changelog ===
translate-toolkit (2.0.0-2) unstable; urgency=medium

  * Stop altering PYTHONPATH in test suite to prevent failures when more than
    one Python 3 is available (Closes: #866551).
  * Update Standards-Version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 30 Jul 2017 00:59:40 +1000

translate-toolkit (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 26 Feb 2017 23:39:30 +1100

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/cgit/debian-l10n/translate-toolkit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-l10n/translate-toolkit.git
 Homepage: http://toolkit.translatehouse.org/
@@ -61,6 +61,7 @@
 Section: devel
 Depends:
  python,
+ python-pkg-resources,
  python-six,
  python-translate,
  ${misc:Depends},

## translate-toolkit 2.0.0%7eb7

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	git submodule update --init
 	# The following creates the HTML docs.
 	# NOTE: cd and make must be in the same line.
-	cd ${DOCS_DIR}; make SPHINXOPTS="-T -W -q -j 4" html ${TAIL}
+	cd ${DOCS_DIR}; make SPHINXOPTS="-W -q -j 4" html ${TAIL}
 
 docs-review: docs
 	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

## translate-toolkit 2.2.5

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,21 @@
 DOCS_DIR = docs
-FORMATS=--formats=bztar
 
-.PHONY: all build docs requirements help publish-pypi sort-imports
+.PHONY: all build docs requirements help sort-imports
 
 all: help
 
 build: docs
-	python setup.py sdist ${FORMATS}
+	python setup.py sdist --formats=gztar
 
 docs:
 	# Make sure that the submodule with docs theme is pulled and up-to-date.
 	git submodule update --init
 	# The following creates the HTML docs.
 	# NOTE: cd and make must be in the same line.
-	cd ${DOCS_DIR}; make SPHINXOPTS="-W -q -j 4" html ${TAIL}
+	cd ${DOCS_DIR}; make SPHINXOPTS="-T -W -q -j 4" html ${TAIL}
 
 docs-review: docs
 	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html
-
-publish-pypi:
-	python setup.py sdist ${FORMATS} upload
 
 sort-imports:
 	isort -rc .
@@ -33,7 +29,6 @@
 	@echo "  docs-review - launch webbrowser to review docs"
 	@echo "  requirements - (re)generate pinned and minimum requirements"
 	@echo "  sort-imports - sort Python imports"
-	@echo "  publish-pypi - publish on PyPI"
 	@echo "  test - run unit test suite"
 	@echo "  test-functional - run the functional test suite"

=== debian/changelog ===
translate-toolkit (2.2.5-2) unstable; urgency=medium

  * Patch out test failing due to TZ definition changes.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Update to debhelper 11.
    - Relocate documentation to /usr/share/doc/translate-toolkit.
  * Drop unneeded lintian override for license.rst.

 -- Stuart Prescott <stuart@debian.org>  Fri, 05 Jan 2018 00:08:13 +1100

translate-toolkit (2.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 09 Sep 2017 01:03:34 +1000

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python-levenshtein,
  python-lxml,
  python-l20n,
+ python-pycountry (>> 17.5.14),
  python-pytest,
  python-setuptools,
  python-simplejson,
@@ -38,6 +39,7 @@
  python3-levenshtein,
  python3-lxml,
  python3-l20n,
+ python3-pycountry (>> 17.5.14),
  python3-pytest,
  python3-setuptools,
  python3-simplejson,
@@ -49,9 +51,9 @@
  rename,
  subversion,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11~),
  dh-python,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/cgit/debian-l10n/translate-toolkit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-l10n/translate-toolkit.git
 Homepage: http://toolkit.translatehouse.org/
@@ -93,7 +95,6 @@
  ${misc:Depends},
  ${python:Depends}
 Recommends:
- iso-codes,
  python-babel,
  python-bs4,
  python-chardet,
@@ -103,6 +104,7 @@
  python-levenshtein,
  python-lxml,
  python-l20n,
+ python-pycountry (>> 17.5.14),
  python-simplejson,
  python-utidylib,
  python-vobject,
@@ -140,7 +142,6 @@
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
- iso-codes,
  python3-aeidon,
  python3-babel,
  python3-bs4,
@@ -151,6 +152,7 @@
  python3-levenshtein,
  python3-lxml,
  python3-l20n,
+ python3-pycountry (>> 17.5.14),
  python3-simplejson,
  python3-utidylib,
  python3-vobject,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=translate

p	= translate-toolkit
d	= $(CURDIR)/debian/$(p)
d2	= $(CURDIR)/debian/python-translate
d3	= $(CURDIR)/debian/python3-translate

export PYTHONNOUSERSITE=false

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

man:
	mkdir -p man
	for script in $(d2)/usr/bin/*; do \
	  case $$(basename $$script) in \
	  buildxpi*|build_tmdb|build_firefox*|get_moz_enUS*|junitmsgfmt|po2web2py|pocompendium|pomigrate2|popuretext|poreencode|posplit|pocount|poglossary|pocommentclean|pydiff|tmserver) \
	    ;; \
	  *) \
	    LC_ALL=C PYTHONPATH=. $$script --manpage \
	      > man/$$(basename $$script).1 \
	      || rm -f man/$(basename $$script).1; \
	    ;; \
	  esac; \
	done

docs:
	make -C docs html

override_dh_clean:
	dh_clean
	rm -rf man docs/_build run-tests
	make -C docs clean

override_dh_install: man docs
	dh_install
	# delete unwanted cruft from /usr/lib
	for i in COPYING README.rst docs; do \
	  rm -rfv debian/*/usr/lib/python*/*-packages/translate/$$i \
	      debian/*/usr/lib/pyshared/translate/$$i; \
	done

	# provide a link to the langmodels shipped in libexttextcat-data
	for i in debian/*/usr/lib/python*/*-packages/translate/; do \
	  rm -rfv $$i/share/langmodels; \
	  ln -s /usr/share/libexttextcat $$i/share/langmodels; \
	done

	prename 's/\.sh$$//' debian/*/usr/bin/build_firefox.sh
	prename 's/\.py$$//' debian/*/usr/bin/*.py

	# run the test suite using py.test
	PYBUILD_SYSTEM=custom \
	  PYBUILD_TEST_ARGS='cp -a tests share {build_dir}; cd {build_dir}; PATH=$(CURDIR)/debian/{package}/usr/bin:$$PATH {interpreter} -m pytest -v -rxs' \
	  dh_auto_test --buildsystem=pybuild

	# only ship the Python 2 command line tools in the
	# translate-toolkit package.
	mkdir -p $(d)/usr/bin
	mv $(d2)/usr/bin/* $(d)/usr/bin/
	rm -rf $(d2)/usr/bin $(d3)/usr/bin

	# sub2po and po2sub need python-aeidon that no longer exists;
	# they can be brought back once the switch to Python 3 is complete.
	mkdir -p $(d)/usr/share/doc/$(p)/examples
	mv $(d)/usr/bin/po2sub $(d)/usr/bin/sub2po \
		$(d)/usr/share/doc/$(p)/examples
	cp man/po2sub.1 man/sub2po.1 \
		$(d)/usr/share/doc/$(p)/examples

override_dh_auto_test:
	# Tests must be run after install so that the entry_points scripts
	# have been created; override this and run tests as part of the install
	# step instead.

.PHONY: man docs

=== debian/tests/control ===
Tests: translate-toolkit
Restrictions: allow-stderr needs-recommends
Depends:
  translate-toolkit,
  subversion,

Tests: python-translate
Restrictions: allow-stderr needs-recommends
Depends:
  python-translate,
  python-pytest,
  subversion,

Tests: python3-translate
Restrictions: allow-stderr needs-recommends
Depends:
  python3-translate,
  python3-pytest,
  subversion,
